cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Min Chen <min.c...@citrix.com>
Subject [ACS 4.4] Proposal to Disable IAM feature in 4.4
Date Tue, 13 May 2014 22:22:12 GMT
Hi All,

In the past several weeks, QA has done some testing on IAM feature and found several backward-compatibility
issues. Even though Prachi and I have tried our best to fix bugs to maintain backward compatibility,
we realized that in order to support true IAM model documented in our FS https://cwiki.apache.org/confluence/display/CLOUDSTACK/CloudStack+Identity+and+Access+Management+%28IAM%29+Plugin,
we will have to make several API changes that will require us to increment CloudStack major
version.
Therefore we think that IAM feature is not ready for ACS 4.4 release, and we would like to
propose to disable it in 4.4 branch and re-enable it later when community decides to go for
5.x.

Thanks
-min


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message